X.orgの複数の脆弱性(CVE-2017-13721, CVE-2017-13723) — | サイオスOSS | サイオステクノロジー

X.orgの複数の脆弱性(CVE-2017-13721, CVE-2017-13723) — | サイオスOSS | サイオステクノロジー
現在位置: ホーム / セキュリティ ブログ / X.orgの複数の脆弱性(CVE-2017-13721, CVE-2017-13723)

X.orgの複数の脆弱性(CVE-2017-13721, CVE-2017-13723)

09/26/2017にX.orgの複数の脆弱性情報(CVE-2017-13721, CVE-2017-13723)が公開されています。今回はこれらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

09/26/2017にX.orgの複数の脆弱性情報(CVE-2017-13721, CVE-2017-13723)が公開されています。今回はこれらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

Moderate

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-13721
    • Xサーバのクラッシュの可能性

    • 重要度 - Important

    • 1.19.4より前のX.Orgサーバ(xserver/xorg-server)では、XサーバにX共有メモリ拡張を有効にした状態で認証された攻撃者は、Xサーバをクラッシュしたり、同じセッション中で他のXクライアントの共有メモリセグメントを置き換える事が出来ます。

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-13723
    • ローカルの攻撃者によるXサーバのクラッシュやxkbcompを使ったアクセスの可能性

    • 重要度 - Moderate

    • 1.19.4より前のX.Orgサーバ(xserver/xorg-server)では、Xサーバに認証されたローカルの攻撃者はグローバルバッファーのオーバーフローを引き起こすことが可能になり、結果としてXサーバのクラッシュや悪意のあるxkbcompを通してアクセスをインジェクションされる可能性が有ります。



対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat Satelliteを使うと管理が便利でしょう。

Red Hat Satelliteを用いた一般的なErattaの適用は、『Red Hat Satellite 6でerrataを適用してみる』を 参考にして下さい。

また、OSの再起動が発生する可能性がありますので、pacemakerなどOSSのクラスタ製品LifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。

[参考]

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-13721

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-13723

セキュリティ系連載案内


セミナー情報

2017/11/29 19:00に、OSSセキュリティ技術の会 第二回勉強会を行います。

今回のテーマは新世代のOSS認証基盤です。

https://connpass.com/event/69314/がプログラム内容と申し込みの詳細になります。奮ってご参加下さい。

OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

タグ:
OSSよろず相談室

サイオスOSSよろず相談室(2)

問い合わせボタン

----- EXTENDED BODY:

前へ

NetworkManagerの脆弱性(CVE-2018-1000135) — | サイオスOSS | サイオステクノロジー

次へ

Memcachedの脆弱性(CVE-2018-1000115) — | サイオスOSS | サイオステクノロジー